Sync UCC
Force-pull UCC complaints from Plivo into Kupe (backup if the callback URL was never registered).
POST
https://x.kupe.in
/
v1
/
orgs
/
{org_id}
/
plivo
/
ucc
/
sync
Python
from kupe import Kupe
client = Kupe()
org_id = client.me().org_id
page = client.phones.ucc_sync(org_id)
print(page.total)import { Kupe } from "kupe-sdk";
const kupe = new Kupe();
const orgId = (await kupe.me()).org_id!;
const page = await kupe.phones.ucc.sync({ org_id: orgId });
console.log(page.total);curl -X POST https://x.kupe.in/v1/orgs/org_.../plivo/ucc/sync \
-H "Authorization: Bearer sk-kupe-YOUR_KEY"{
"items": [
{
"id": "<string>",
"org_id": "<string>",
"reference_id": "<string>",
"status": "pending",
"from_number": "<string>",
"to_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"initiation_date": "<string>",
"complaint_category": "<string>",
"call_uuid": "<string>",
"opt_in_proof_url": "<string>",
"rejection_reason": "<string>",
"deadline_at": "2023-11-07T05:31:56Z",
"telephony_account_id": "<string>",
"last_callback_status": "<string>",
"last_callback_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}⌘I
Python
from kupe import Kupe
client = Kupe()
org_id = client.me().org_id
page = client.phones.ucc_sync(org_id)
print(page.total)import { Kupe } from "kupe-sdk";
const kupe = new Kupe();
const orgId = (await kupe.me()).org_id!;
const page = await kupe.phones.ucc.sync({ org_id: orgId });
console.log(page.total);curl -X POST https://x.kupe.in/v1/orgs/org_.../plivo/ucc/sync \
-H "Authorization: Bearer sk-kupe-YOUR_KEY"{
"items": [
{
"id": "<string>",
"org_id": "<string>",
"reference_id": "<string>",
"status": "pending",
"from_number": "<string>",
"to_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"initiation_date": "<string>",
"complaint_category": "<string>",
"call_uuid": "<string>",
"opt_in_proof_url": "<string>",
"rejection_reason": "<string>",
"deadline_at": "2023-11-07T05:31:56Z",
"telephony_account_id": "<string>",
"last_callback_status": "<string>",
"last_callback_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
